> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client Billing Invoice

> Reads one sent invoice and its client-facing lines.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /platform/get-client-billing-invoice
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/get-client-billing-invoice:
    get:
      operationId: getClientBillingInvoice
      summary: Get Client Billing Invoice
      description: |-
        Reads one sent invoice and its client-facing lines.

        Not available to API keys.
      parameters:
        - name: invoiceID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetClientBillingInvoiceResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetClientBillingInvoiceResponse:
      type: object
      properties:
        invoice:
          type: object
          properties:
            id:
              type: string
            number:
              type: string
            type:
              type: string
              enum:
                - DEPOSIT
                - PRE_FUNDING
                - FINAL
                - PLATFORM
                - CREDIT_NOTE
            billingPeriod:
              type:
                - string
                - 'null'
            issueDate:
              type:
                - string
                - 'null'
            dueDate:
              type:
                - string
                - 'null'
            paidDate:
              type:
                - string
                - 'null'
            total:
              type: string
            amountDue:
              type: string
            creditedAmount:
              type: string
            currency:
              type: string
            status:
              type: string
              enum:
                - DUE
                - OVERDUE
                - PAID
                - VOID
                - CREDITED
                - CREDIT
            daysOverdue:
              type:
                - integer
                - 'null'
            daysUntilDue:
              type:
                - integer
                - 'null'
            credits:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: string
                number:
                  type: string
              required:
                - id
                - number
            replacedBy:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: string
                number:
                  type: string
              required:
                - id
                - number
            replaces:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: string
                number:
                  type: string
              required:
                - id
                - number
            beingCorrected:
              type: boolean
          required:
            - id
            - number
            - type
            - billingPeriod
            - issueDate
            - dueDate
            - paidDate
            - total
            - amountDue
            - creditedAmount
            - currency
            - status
            - daysOverdue
            - daysUntilDue
            - credits
            - replacedBy
            - replaces
            - beingCorrected
        today:
          type: string
        billedBy:
          type: object
          properties:
            name:
              type: string
            address:
              type:
                - string
                - 'null'
            vatNumber:
              type:
                - string
                - 'null'
          required:
            - name
            - address
            - vatNumber
        billedTo:
          type: object
          properties:
            name:
              type: string
            address:
              type:
                - string
                - 'null'
          required:
            - name
            - address
        reference:
          type: string
        fxRateDate:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        paymentInstructions:
          type:
            - string
            - 'null'
        sentTo:
          type: array
          items:
            type: string
        charges:
          type: array
          items:
            type: object
            properties:
              item:
                type: string
              description:
                type: string
              quantity:
                type: number
              rate:
                type:
                  - string
                  - 'null'
              amount:
                type: string
            required:
              - item
              - description
              - quantity
              - rate
              - amount
        people:
          type: array
          items:
            type: object
            properties:
              label:
                type: string
              country:
                type:
                  - string
                  - 'null'
              localCurrency:
                type: string
              localAmount:
                type: string
              exchangeRate:
                type:
                  - string
                  - 'null'
              pay:
                type: string
              fees:
                type: string
              total:
                type: string
              breakdown:
                type: array
                items:
                  type: object
                  properties:
                    label:
                      type: string
                    localAmount:
                      type: string
                  required:
                    - label
                    - localAmount
              isInvoiceCharge:
                type: boolean
            required:
              - label
              - country
              - localCurrency
              - localAmount
              - exchangeRate
              - pay
              - fees
              - total
              - breakdown
              - isInvoiceCharge
        related:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              number:
                type: string
              type:
                type: string
                enum:
                  - DEPOSIT
                  - PRE_FUNDING
                  - FINAL
                  - PLATFORM
                  - CREDIT_NOTE
              billingPeriod:
                type:
                  - string
                  - 'null'
              issueDate:
                type:
                  - string
                  - 'null'
              dueDate:
                type:
                  - string
                  - 'null'
              paidDate:
                type:
                  - string
                  - 'null'
              total:
                type: string
              amountDue:
                type: string
              creditedAmount:
                type: string
              currency:
                type: string
              status:
                type: string
                enum:
                  - DUE
                  - OVERDUE
                  - PAID
                  - VOID
                  - CREDITED
                  - CREDIT
              daysOverdue:
                type:
                  - integer
                  - 'null'
              daysUntilDue:
                type:
                  - integer
                  - 'null'
              credits:
                type:
                  - object
                  - 'null'
                properties:
                  id:
                    type: string
                  number:
                    type: string
                required:
                  - id
                  - number
              replacedBy:
                type:
                  - object
                  - 'null'
                properties:
                  id:
                    type: string
                  number:
                    type: string
                required:
                  - id
                  - number
              replaces:
                type:
                  - object
                  - 'null'
                properties:
                  id:
                    type: string
                  number:
                    type: string
                required:
                  - id
                  - number
              beingCorrected:
                type: boolean
            required:
              - id
              - number
              - type
              - billingPeriod
              - issueDate
              - dueDate
              - paidDate
              - total
              - amountDue
              - creditedAmount
              - currency
              - status
              - daysOverdue
              - daysUntilDue
              - credits
              - replacedBy
              - replaces
              - beingCorrected
        documents:
          type: object
          properties:
            invoicePdf:
              type: boolean
            detailedPdf:
              type: boolean
            summaryPdf:
              type: boolean
            workings:
              type: boolean
          required:
            - invoicePdf
            - detailedPdf
            - summaryPdf
            - workings
        activity:
          type: array
          items:
            type: object
            properties:
              label:
                type: string
              date:
                type: string
            required:
              - label
              - date
      required:
        - invoice
        - today
        - billedBy
        - billedTo
        - reference
        - fxRateDate
        - notes
        - paymentInstructions
        - sentTo
        - charges
        - people
        - related
        - documents
        - activity
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
